%{?nodejs_find_provides_and_requires}

%global packagename sinon
%global enable_tests 0

Name:		nodejs-sinon
Version:	1.17.1
Release:	1%{?dist}
Summary:	JavaScript test spies, stubs and mocks

License:	BSD
URL:		http://github.com/cjohansen/Sinon.JS.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
JavaScript test spies, stubs and mocks.


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json pkg/ lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 16 2015 Jared Smith <jsmith@fedoraproject.org> - 1.17.1-1
- Initial packaging
